summaryrefslogtreecommitdiff
path: root/run-all
diff options
context:
space:
mode:
Diffstat (limited to 'run-all')
-rwxr-xr-xrun-all10
1 files changed, 10 insertions, 0 deletions
diff --git a/run-all b/run-all
new file mode 100755
index 00000000..a6a58f82
--- /dev/null
+++ b/run-all
@@ -0,0 +1,10 @@
+#!/bin/sh
+SELF=$(realpath $(which "$0"))
+cd "$(dirname "$SELF")"
+
+trap 'kill %1 %2 %3' SIGHUP SIGINT SIGQUIT SIGABRT SIGTERM
+./login-server &
+./char-server &
+./map-server &
+
+wait